org.apache.ignite.internal.processors.cache

## Class GridCacheIndexUpdateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.GridCacheIndexUpdateException

All Implemented Interfaces:
  Serializable

    public class GridCacheIndexUpdateException
    extends IgniteCheckedException

Exception indicating that index update failed during cache entry update. If this exception is thrown, entry is kept in it's original state (no updates performed).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheIndexUpdateException(String msg, Throwable cause)`
`GridCacheIndexUpdateException(Throwable cause)`

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheIndexUpdateException

    public GridCacheIndexUpdateException(Throwable cause)

Parameters:
  `cause` - Exception cause.

#### GridCacheIndexUpdateException

    public GridCacheIndexUpdateException(String msg,
                                 @Nullable
                                 Throwable cause)

Parameters:
  `msg` - Error message.
  `cause` - Error cause.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016